#include <iostream>
using namespace std;

int main()
{
  int n, k;
  cin >> n >> k;
  int spil[n];
  cin >> spil[0];
  for(int i = 1; i < n; i++)
  {
    cin >> spil[i];
    if(spil[i-1] == k)
    {
      cout << spil[i] << endl;
      break;
    }
  }
  if(spil[n-1] == k)
  {
    cout << spil[0] << endl;
  }
  return 0;
}